import processing.serial.*;
Serial port;

int x; 
int y; 
int Switch; 
PFont f; 
String portName;
String value;

void setup(){
  size ( 512 , 512 ) ;
  port = new Serial(this, "/dev/cu.usbmodem1101", 9600);
  port.bufferUntil('\n'); 
  f = createFont("Arial", 16, true);
  textFont ( f, 16 ) ;
}

void draw(){
  fill(255) ; 
  clear() ;
  fill(125) ; 

  if (Switch == 1){
    line(x/2,y/2,100, 100);
  } 
  else{
    line(x/2,y/2, 25, 25);
  }

  text("AnalogX="+(1023-x)+" AnalogY="+(1023-y),10,20);
}

void serialEvent( Serial port) {
  value = port.readStringUntil('\n');

  if (value != null){
    value = trim(value);
    int[] values = int(splitTokens(value, ","));

    x = values[0];
    y = values[1];
    Switch = values[2];
  }
}
